#include<iostream>
#include<algorithm>
#include <iomanip>
using namespace std;
void SortiranjeDva(double a[], double b[], long long n) 
{ 
    pair<double, double> p[n]; 
  
    // Storing the respective array 
    // elements in pairs. 
    for (int i = 0; i < n; i++)  
    { 
        p[i].first = a[i]; 
        p[i].second = b[i]; 
    } 
  
    // Sorting the pair array. 
    sort(p, p + n); 
      
    // Modifying original arrays 
    for (int i = 0; i < n; i++)  
    { 
        a[i] = p[i].first; 
        b[i] = p[i].second; 
    } 
} 
double Ai[1000000],Pi[1000000],Ai2[1000000],suma=0,sumasap=0,maxsuma=0;
long long N;
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	cin>>N;
	for(int i=0;i<N;i++){
		cin>>Ai[i]>>Pi[i];
	}
	
	SortiranjeDva(Pi,Ai,N);
	

	reverse(Ai,Ai+N);
	reverse(Pi,Pi+N);
	for(int i=0;i<N;i++){
		Pi[i]*=1.00000;
	}
	for(int i=0;i<N;i++){
		suma+=Ai[i];
		sumasap=suma*Pi[i]*0.01;
		if(sumasap>maxsuma)maxsuma=sumasap;
		else break;
	}
	cout<<setprecision(10)<<maxsuma;
	return 0;
}